Index: testsuites/psxtests/psx08/init.c
===================================================================
--- testsuites/psxtests/psx08/init.c	(revision 20de2722aa866fbe93f00eba2274c72fbdbcc859)
+++ testsuites/psxtests/psx08/init.c	(revision 20de2722aa866fbe93f00eba2274c72fbdbcc859)
@@ -0,0 +1,73 @@
+/* 
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#define CONFIGURE_INIT
+#include "system.h"
+#include <errno.h>
+
+void *POSIX_Init(
+  void *argument
+)
+{
+  int    status;
+  void  *return_pointer;
+
+  puts( "\n\n*** POSIX TEST 8 ***" );
+
+  /* set the time of day, and print our buffer in multiple ways */
+
+  set_time( TM_FRIDAY, TM_MAY, 24, 96, 11, 5, 0 );
+
+  /* get id of this thread */
+
+  Init_id = pthread_self();
+  printf( "Init's ID is 0x%08x\n", Init_id );
+
+  /* detach this thread */
+
+  puts( "Init: pthread_detach self" );
+  status = pthread_detach( pthread_self() );
+  assert( !status );
+
+  /* create thread */
+ 
+  puts( "Init: creating two tasks" );
+  status = pthread_create( &Task_id, NULL, Task_1, NULL );
+  assert( !status );
+  
+  status = pthread_create( &Task2_id, NULL, Task_2, NULL );
+  assert( !status );
+  
+  puts( "Init: pthread_join - SUCCESSFUL" );
+  status = pthread_join( Task_id, &return_pointer );
+
+     /* switch to Task 1 */
+
+  puts( "Init: returned from pthread_join" );
+  if ( status )
+    printf( "status = %d\n", status );
+  assert( !status );
+
+  if ( return_pointer == &Task_id )
+    puts( "Init: pthread_join returned correct pointer" );
+  else
+    printf(
+      "Init: pthread_join returned incorrect pointer (%p != %p)\n",
+      return_pointer,
+      &Task_id
+    );
+  
+  puts( "Init: exitting" );
+  pthread_exit( NULL );
+
+  return NULL; /* just so the compiler thinks we returned something */
+}
Index: testsuites/psxtests/psx08/system.h
===================================================================
--- testsuites/psxtests/psx08/system.h	(revision 20de2722aa866fbe93f00eba2274c72fbdbcc859)
+++ testsuites/psxtests/psx08/system.h	(revision 20de2722aa866fbe93f00eba2274c72fbdbcc859)
@@ -0,0 +1,56 @@
+/*  system.h
+ *
+ *  This include file contains information that is included in every
+ *  function in the test set.
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+/* functions */
+
+#include <pmacros.h>
+
+void *POSIX_Init(
+  void *argument
+);
+
+void *Task_1(
+  void *argument
+);
+
+void *Task_2(
+  void *argument
+);
+
+/* configuration information */
+
+#define CONFIGURE_SPTEST
+
+#define CONFIGURE_TEST_NEEDS_CONSOLE_DRIVER
+#define CONFIGURE_TEST_NEEDS_CLOCK_DRIVER
+
+#define CONFIGURE_POSIX_INIT_THREAD_TABLE
+
+#include <confdefs.h>
+
+/* global variables */
+
+#ifdef CONFIGURE_INIT
+#define TEST_EXTERN
+#else
+#define TEST_EXTERN extern
+#endif
+
+TEST_EXTERN pthread_t        Init_id;
+TEST_EXTERN pthread_t        Task_id;
+TEST_EXTERN pthread_t        Task2_id;
+
+/* end of include file */
Index: testsuites/psxtests/psx08/task2.c
===================================================================
--- testsuites/psxtests/psx08/task2.c	(revision 20de2722aa866fbe93f00eba2274c72fbdbcc859)
+++ testsuites/psxtests/psx08/task2.c	(revision 20de2722aa866fbe93f00eba2274c72fbdbcc859)
@@ -0,0 +1,52 @@
+/*  Task_2
+ *
+ *  This routine serves as a test task.  It verifies the basic task
+ *  switching capabilities of the executive.
+ *
+ *  Input parameters:
+ *    argument - task argument
+ *
+ *  Output parameters:  NONE
+ *
+ *  COPYRIGHT (c) 1989, 1990, 1991, 1992, 1993, 1994.
+ *  On-Line Applications Research Corporation (OAR).
+ *  All rights assigned to U.S. Government, 1994.
+ *
+ *  This material may be reproduced by or for the U.S. Government pursuant
+ *  to the copyright license under the clause at DFARS 252.227-7013.  This
+ *  notice must appear in all copies of this file and its derivatives.
+ *
+ *  $Id$
+ */
+
+#include "system.h"
+#include <errno.h>
+
+void *Task_2(
+  void *argument
+)
+{
+  int   status;
+  void  *return_pointer;
+
+  puts( "Task_2: join to Task_1" );
+  status = pthread_join( Task_id, &return_pointer );
+  puts( "Task_2: returned from pthread_join" );
+  if ( status )
+    printf( "status = %d\n", status );
+  assert( !status );
+ 
+  if ( return_pointer == &Task_id )
+    puts( "Task_2: pthread_join returned correct pointer" );
+  else
+    printf(
+      "Task_2: pthread_join returned incorrect pointer (%p != %p)\n",
+      return_pointer,
+      &Task_id
+    );
+
+  puts( "*** END OF POSIX TEST 8 ***" );
+  exit( 0 );
+
+  return NULL; /* just so the compiler thinks we returned something */
+}
